@import '../../styles.scss';

.material-symbols-outlined {
  font-variation-settings: "FILL" 0, "wght" 400, "GRAD" 0, "opsz" 48;
}

a {
  all: unset;
  color: #2d3338;
  cursor: pointer;
  transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, text-shadow .15s ease-in-out;


  &:hover {
    text-shadow:  0 0 0.5rem rgba(58, 59, 69, .3) !important;
  }
}


.text-weight-500 {
  font-weight: 500;
}

.text-weight-400 {
  font-weight: 400;
}

.text-weight-300 {
  font-weight: 300;
}


.shadow {
  box-shadow: 0 .15rem 1.75rem 0 rgba(58, 59, 69, .15) !important;
}

.container {
  display: flex;
  flex-direction: column;
  padding: 1.5em 2em;
  gap: 3em;
}

.content-container {
  width: 100%;
  height: auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  border: solid 0.1em rgba($color-vacc-black, 0.2);
  border-radius: 0.4em;
  // box-shadow: 0 0 30px 0.1px rgba(0, 0, 0, 0.2);
  background: white;
}

.content-container-title {
  width: 100%;
  min-height: 4em;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  border-radius: 0.5em 0.5em 0 0;
  border-bottom: solid 0.1em rgba($color-vacc-black, 0.2);
  background: #F7F7F7;

  h2 {
    margin: auto 0;
    padding: 0 1em;
    font-size: 1.1rem;
    font-weight: 900;
    color: #575A5D;
  }

  button {
    margin-right: 1em;
  }
}


.content-container-body {
  width: 100%;
  min-height: 5em;
  //max-height: 30em; // TODO - remove height when added to grid
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
}

.content-container-body > * {
  padding: 0 1.5em;
}

.bookings-container {
  box-sizing: border-box;
  width: 100%;
  display: grid;
  grid-template-columns: 1fr;
  gap: 1em;
  overflow-y: auto;
  font-size: 0.9rem;
  margin: 1em 0;

}

.booking-entry {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
}

.booking-info {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
}

.booking-header {
  font-size: 0.7rem;
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  gap: 0.3em;
}

.booking-date {
  font-weight: 350;
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  gap: 0.3em;
}

.no-list {
  font-size: 0.9rem;
  color: rgb(108, 108, 108);
}

.hidden {
  display: none !important;
}

.btn {
  border: none;
  text-align: center;
  background-color: #555d6c;
  color: white;
  padding: 0.5em 1.3em;
  border-radius: 0.3em;
  cursor: pointer;
  transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;

  &:hover {
    background-color: #2d3338;
  }
}

.btn-info {
  padding: 0.3em 1.5em;
}

.btn-edit {
  font-size: 0.1rem;
  padding: 5em 5em;
  border-radius: 3em;
}

.events-container {
  width: 100%;
  box-sizing: border-box;
  display: grid;
  grid-template-columns: 1fr;
  gap: 1em;
  margin: 1em 0;
}

.event-entry {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

.ratings-container {
  margin-top: 1em;
  margin-bottom: 1em;
  display: flex;
  flex-direction: column;
  gap: 0.3em;
}

.booking-controls {
  display: flex;
  gap: 1em;
}
